"Unescaped left brace in regex is deprecated, passed through in regex...." during installation

Ask questions about your setup or get help installing ZCS server (ZD section below).
ROTFL
Posts: 9
Joined: Sun Dec 28, 2014 2:08 am

"Unescaped left brace in regex is deprecated, passed through in regex...." during installation

Postby ROTFL » Mon Jan 09, 2017 11:04 am

Hi Folks,

I recently fresh install zcs 8.7.1 on fresh Ubuntu 16.04. This is multiple server setup, and during installation each component on each server i get following message:

Local packages zimbra-core zimbra-ldap zimbra-snmp selected for installation
Monitor /tmp/install.log.QEPcPFrM for package installation progress
Remote package installation started
Installing zimbra-core-components zimbra-ldap-components zimbra-snmp-components....done
Local package installation started
Installing zimbra-core zimbra-ldap zimbra-snmp...done
done
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1518, <DATA> line 755.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1561, <DATA> line 755.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1690, <DATA> line 755.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1731, <DATA> line 755.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1740, <DATA> line 755.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1749, <DATA> line 755.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1758, <DATA> line 755.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE zimbra_home}/ at /opt/zimbra/libexec/zmupgrade.pm line 1767, <DATA> line 755.
Operations logged to /tmp/zmsetup.20170109-175002.log
Installing LDAP configuration database...done.
Setting defaults...


PS: This is fresh install not an upgrade


Similar error message also appear when I configure the syslog:

root@zm-ldap-01:# /opt/zimbra/libexec/zmsyslogsetup
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/(^destination mail { <-- HERE file\("/var/log/mail"\); };)/ at /opt/zimbra/libexec/zmsyslogsetup line 190.


Please advise if anyone facing similar error message as well, and what this error message all about because installation is went successful. Does ZCS 8.7.1 is production ready yet? how proven it is compare to its predecessor, 8.6.x

Thanks,
ROTFL


Return to “Installation and Upgrade”

Who is online

Users browsing this forum: Yahoo [Bot] and 7 guests